- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::Signal0 Class Reference

Part of the slot/signal system. More...

`#include <gslot.h>`

Inheritance diagram for G::Signal0:

## Public Member Functions
| Signal0 (bool once=false)
void | emit ()
void | connect (Slot0 slot)
void | disconnect ()
void | reset ()
Public Member Functions inherited from G::noncopyable
| noncopyable ()

## Detailed Description

Part of the slot/signal system.

Definition at line 138 of file gslot.h.

## Constructor & Destructor Documentation

G::Signal0::Signal0 | ( | bool | once = `false` | ) |
| inline explicit

Definition at line 145 of file gslot.h.

## Member Function Documentation

void G::Signal0::connect | ( | Slot0 | slot | ) |
| inline

Definition at line 147 of file gslot.h.

References G::Slot0::base(), G::SignalImp::check(), and G::slot().

Referenced by GSmtp::Client::Client().

void G::Signal0::disconnect | ( |  | ) |
| inline

Definition at line 148 of file gslot.h.

void G::Signal0::emit | ( |  | ) |
| inline

Definition at line 146 of file gslot.h.

References G::Slot0::callback().

void G::Signal0::reset | ( |  | ) |
| inline

Definition at line 149 of file gslot.h.

The documentation for this class was generated from the following file:

- gslot.h